Python
import honeyhive
s = honeyhive.HoneyHive(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.runs.delete_run(run_id='<value>')
if res.delete_run_response is not None:
# handle response
passimport { HoneyHive } from "honeyhive";
import { DeleteRunRequest } from "honeyhive/dist/models/operations";
async function run() {
const sdk = new HoneyHive({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
const runId: string = "<value>";
const res = await sdk.runs.deleteRun(runId);
if (res.statusCode == 200) {
// handle response
}
}
run();curl --request DELETE \
--url https://api.honeyhive.ai/runs/{run_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.honeyhive.ai/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted": true
}Experiments
Delete an evaluation run
DELETE
/
runs
/
{run_id}
Python
import honeyhive
s = honeyhive.HoneyHive(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.runs.delete_run(run_id='<value>')
if res.delete_run_response is not None:
# handle response
passimport { HoneyHive } from "honeyhive";
import { DeleteRunRequest } from "honeyhive/dist/models/operations";
async function run() {
const sdk = new HoneyHive({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
const runId: string = "<value>";
const res = await sdk.runs.deleteRun(runId);
if (res.statusCode == 200) {
// handle response
}
}
run();Was this page helpful?
⌘I

